Package org.apache.sysds.runtime.matrix.data

## Class LibMatrixEquals

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixEquals

    public class LibMatrixEquals
    extends Object

Equals library for MatrixBLocks:

The implementations adhere to the properties of equals of:

- Reflective
- Symmetric
- Transitive
- Consistent

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `equals​(MatrixBlock a, MatrixBlock b)` Analyze if the two matrix blocks are equivalent, this functions even if the underlying allocation and data structure varies.
`static boolean` `equals​(MatrixBlock a, MatrixBlock b, double eps)` Analyze if the two matrix blocks are equivalent, this functions even if the underlying allocation and data structure varies.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### equals

    public static boolean equals​(MatrixBlock a,
                                 MatrixBlock b)

Analyze if the two matrix blocks are equivalent, this functions even if the underlying allocation and data structure varies.

The implementations adhere to the properties of equals of:

- Reflective
- Symmetric
- Transitive
- Consistent

Parameters:
  `a` - Matrix Block a to compare
  `b` - Matrix Block b to compare
Returns:
  If the block are equivalent.

#### equals

    public static boolean equals​(MatrixBlock a,
                                 MatrixBlock b,
                                 double eps)

Analyze if the two matrix blocks are equivalent, this functions even if the underlying allocation and data structure varies.

The implementations adhere to the properties of equals of:

- Reflective
- Symmetric
- Transitive
- Consistent

Parameters:
  `a` - Matrix Block a to compare
  `b` - Matrix Block b to compare
  `eps` - Epsilon to allow between values
Returns:
  If the block are equivalent.